# $Revision: 1.29 $, $Date: 2004/05/07 01:25:44 $
%include	/usr/lib/rpm/macros.perl
Summary:	Time::Period perl module
Summary(pl):	Modu perla Time::Period
Name:		perl-Time-Period
Version:	1.20
Release:	9
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Time/Period-%{version}.tar.gz
# Source0-md5:	63b073af8ec96e7fa48801cd6fcccdd1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Time::Period - A Perl module to deal with time periods.

%description -l pl
Time::Period - modu perla do operowania na okresach czasowych.

%prep
%setup -q -n Period-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Time/Period.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Time-Period.spec,v $
Revision 1.29  2004/05/07 01:25:44  ankry
- rel. 9

Revision 1.28  2004/05/06 18:21:24  ankry
- fixed perl-devel BR

Revision 1.27  2004/05/03 21:39:07  ankry
- license fix, cosmetics

Revision 1.26  2003/09/09 10:24:53  ankry
- spaces -> tab

Revision 1.25  2003/08/18 08:09:24  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.24  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 06:25:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/04/11 18:59:37  radek
- BR: perl-devel; do not BR: perl

Revision 1.21  2003/03/01 21:35:35  radek
- should be ready for perl-5.8.0; release++

Revision 1.20  2003/02/25 00:42:35  radek
- use the __perl macro

Revision 1.19  2003/02/18 15:39:02  ankry
- massive attack: change CPAN URLs

Revision 1.18  2002/11/25 15:10:13  marcus
- use new %%doc

Revision 1.17  2002/07/10 09:02:31  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.16  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/03/03 20:59:50  marcus
- rel.7.

Revision 1.14  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/10 15:37:15  depesz
adapterized

Revision 1.12  2002/01/18 02:14:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:25  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:17:45  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/25 21:48:12  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:55:00  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:48  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:48  pius
- initial release
